Description

In qgis 1.8, when changing the column which is used for the classification, the classification is recomputed automatically. This can be

inconvenient when making the same map for multiple data columns. In earlier versions, the classification was recomputed when the button

'Classify' was pressed, which is now superfluous.

Perhaps we could replace the button 'Classify' with a "Freeze Classification" button, or something like that.

History

#1 - 2012-08-16 09:29 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

#2 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2015-12-13 03:35 AM - Médéric RIBREUX

- Status changed from Open to In Progress

Hello, bug triage...

I think this is fixed in QGIS 2.13 (and probably in earlier versions): when you change the column in the graduated renderer, you need to click on the

"Classify" button to reclassify.

Can you confirm this ?

#5 - 2015-12-13 03:41 AM - Tammo Jan Dijkema

I can confirm that indeed in 2.12 you need to click 'classify' to reclassify when changing the column. So for me, this is fixed.

#6 - 2015-12-13 09:12 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
